org.licas.util

## Class AiConst

- java.lang.Object
- - org.licas.util.AiConst

-     public class AiConst
      extends java.lang.Object

  Some constant values relating to the AI components of the licas library.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION` Defines an action
    `static java.lang.String` | `ACTIONBLOCK` Defines an action to block access to something (service)
    `static java.lang.String` | `ACTIONSHUTDOWN` Defines an action to shutdown something (service)
    `static java.lang.String` | `ACTIONUNBLOCK` Defines an action to unblock access to something (service)
    `static java.lang.String` | `AISOLVER` Defines a problem solving admin element
    `static java.lang.String` | `ANALYZE` Defines analysis module
    `static java.lang.String` | `AUTOMANFAULT` Defines a fault a determined by an autonomic manager
    `static java.lang.String` | `AUTONOMICMANAGER` Defines autonomic manager tag
    `static java.lang.String` | `EFFECTACTION` Defines state for effector action
    `static java.lang.String` | `EFFECTOR` Defines effector or effector action
    `static java.lang.String` | `EXECUTE` Defines execution module
    `static java.lang.String` | `HEURISTICOPTION`
    `static java.lang.String` | `HEURISTICOPTIONS`
    `static java.lang.String` | `HEURISTICTYPE`
    `static java.lang.String` | `ITERATIONS` Defines max number of iterations
    `static java.lang.String` | `LOADCONTENT` Defines load content directly tag
    `static java.lang.String` | `LOADREMOTE` Defines load data remotely tag
    `static java.lang.String` | `METHOD`
    `static java.lang.String` | `METRICTYPE`
    `static java.lang.String` | `MI_OBJECT` General term for the `MessageInfo` message Object value
    `static java.lang.String` | `MONITOR` Defines monitor module
    `static java.lang.String` | `NOACTION` Defines state for no action
    `static java.lang.String` | `PLAN` Defines planner module
    `static java.lang.String` | `POLICY` Defines a policy
    `static java.lang.String` | `PROCESS` Defines a policy
    `static java.lang.String` | `RELACEWITH` Defines start of replace with indexer
    `static java.lang.String` | `TESTENDED` Defines the end of a test
    `static java.lang.String` | `TESTRUNS` Number of test runs
    `static java.lang.String` | `THIS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AiConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTONOMICMANAGER

          public static final java.lang.String AUTONOMICMANAGER

      Defines autonomic manager tag
      See Also:
        Constant Field Values

    - #### MONITOR

          public static final java.lang.String MONITOR

      Defines monitor module
      See Also:
        Constant Field Values

    - #### ANALYZE

          public static final java.lang.String ANALYZE

      Defines analysis module
      See Also:
        Constant Field Values

    - #### PLAN

          public static final java.lang.String PLAN

      Defines planner module
      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final java.lang.String EXECUTE

      Defines execution module
      See Also:
        Constant Field Values

    - #### TESTRUNS

          public static final java.lang.String TESTRUNS

      Number of test runs
      See Also:
        Constant Field Values

    - #### TESTENDED

          public static final java.lang.String TESTENDED

      Defines the end of a test
      See Also:
        Constant Field Values

    - #### EFFECTOR

          public static final java.lang.String EFFECTOR

      Defines effector or effector action
      See Also:
        Constant Field Values

    - #### MI_OBJECT

          public static final java.lang.String MI_OBJECT

      General term for the `MessageInfo` message Object value
      See Also:
        Constant Field Values

    - #### AUTOMANFAULT

          public static final java.lang.String AUTOMANFAULT

      Defines a fault a determined by an autonomic manager
      See Also:
        Constant Field Values

    - #### POLICY

          public static final java.lang.String POLICY

      Defines a policy
      See Also:
        Constant Field Values

    - #### PROCESS

          public static final java.lang.String PROCESS

      Defines a policy
      See Also:
        Constant Field Values

    - #### ACTION

          public static final java.lang.String ACTION

      Defines an action
      See Also:
        Constant Field Values

    - #### ITERATIONS

          public static final java.lang.String ITERATIONS

      Defines max number of iterations
      See Also:
        Constant Field Values

    - #### ACTIONBLOCK

          public static final java.lang.String ACTIONBLOCK

      Defines an action to block access to something (service)
      See Also:
        Constant Field Values

    - #### ACTIONUNBLOCK

          public static final java.lang.String ACTIONUNBLOCK

      Defines an action to unblock access to something (service)
      See Also:
        Constant Field Values

    - #### ACTIONSHUTDOWN

          public static final java.lang.String ACTIONSHUTDOWN

      Defines an action to shutdown something (service)
      See Also:
        Constant Field Values

    - #### EFFECTACTION

          public static final java.lang.String EFFECTACTION

      Defines state for effector action
      See Also:
        Constant Field Values

    - #### NOACTION

          public static final java.lang.String NOACTION

      Defines state for no action
      See Also:
        Constant Field Values

    - #### RELACEWITH

          public static final java.lang.String RELACEWITH

      Defines start of replace with indexer
      See Also:
        Constant Field Values

    - #### AISOLVER

          public static final java.lang.String AISOLVER

      Defines a problem solving admin element
      See Also:
        Constant Field Values

    - #### LOADREMOTE

          public static final java.lang.String LOADREMOTE

      Defines load data remotely tag
      See Also:
        Constant Field Values

    - #### LOADCONTENT

          public static final java.lang.String LOADCONTENT

      Defines load content directly tag
      See Also:
        Constant Field Values

    - #### HEURISTICOPTIONS

          public static final java.lang.String HEURISTICOPTIONS

      See Also:
        Constant Field Values

    - #### HEURISTICOPTION

          public static final java.lang.String HEURISTICOPTION

      See Also:
        Constant Field Values

    - #### HEURISTICTYPE

          public static final java.lang.String HEURISTICTYPE

      See Also:
        Constant Field Values

    - #### METRICTYPE

          public static final java.lang.String METRICTYPE

      See Also:
        Constant Field Values

    - #### THIS

          public static final java.lang.String THIS

      See Also:
        Constant Field Values

    - #### METHOD

          public static final java.lang.String METHOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AiConst

          public AiConst()